@echo off
  cls
  echo.
  echo.
  echo    +------------------------------------------+
  echo    +     Manual Installation of EasyHelp      +
  echo    +                                          +
  echo    +    Only run this if the setup program    +
  echo    +         fails on your machine            +
  echo    +                                          +
  echo    + This batch file copies most files but    +
  echo    + you will have to copy and install the    +
  echo    + EASYHELP.GRP file manually into program  +
  echo    + manager.                                 +
  echo    +                                          +
  echo    + You will have to copy and install the    +
  echo    + EASYHELP.INI file manually into your     +
  echo    + windows directory                        +
  echo    +                                          +
  echo    + You will have to copy the EASYHELP.DOT   +
  echo    + template file manually into your         +
  echo    + Word templates directory                 +
  echo    +                                          +
  echo    +------------------------------------------+
  echo.
  echo Destination is C:\EASYHELP
  pause
  if not exist easyhelp.dot goto ERR_LOCATION

  echo Creating directories ....
  md c:\easyhelp
  md c:\easyhelp\hc
  md c:\easyhelp\examples
  md c:\easyhelp\graphics
  md c:\easyhelp\manual
  echo Directories created

  echo Copying files ....
  copy *.pif		c:\easyhelp\hc
  copy *.hlp		c:\easyhelp
  copy *.txt		c:\easyhelp
  erase c:\easyhelp\filelist.txt
  copy bullet.bmp	c:\easyhelp
  copy easyhelp.doc	c:\easyhelp

  copy easyhelp.dot 	c:\easyhelp\manual\easyhelp.dot
  copy easyhelp.ini	c:\easyhelp\manual
  copy easyhelp.grp	c:\easyhelp\manual  
  
  echo Copying examples ....
  copy *.doc		c:\easyhelp\examples
  copy *.ini		c:\easyhelp\examples
  copy filelist.txt	c:\easyhelp\examples\filelist.txt

  erase c:\easyhelp\examples\setup.ini
  erase c:\easyhelp\examples\easyhelp.ini
  erase c:\easyhelp\examples\easyhelp.doc

  echo Copying graphics ....
  copy *.bmp		c:\easyhelp\graphics
  copy *.shg		c:\easyhelp\graphics
  copy *.gif		c:\easyhelp\examples
  copy *.ico		c:\easyhelp\examples

  erase c:\easyhelp\graphics\bullet.bmp

  echo Files copied
  echo.
  echo    +------------------------------------------+
  echo    + Some files have been copied to directory +
  echo    + c:\easyhelp\manual. You must manually    +
  echo    + install these                            +
  echo    +                                          +
  echo    + Copy EASYHELP.GRP file manually to your  +
  echo    + windows directory and install into       +
  echo    + program manager.                         +
  echo    +                                          +
  echo    + Copy EASYHELP.INI file manually to your  +
  echo    + windows directory.                       +
  echo    +                                          +
  echo    + You will have to copy the EASYHELP.DOT   +
  echo    + template file manually into your         +
  echo    + Word templates directory                 +
  echo    +                                          +
  echo    +------------------------------------------+
  echo.

  goto END

:ERR_LOCATION
  echo ERROR: Wrong location
  echo ---------------------
  echo Please change to the directory where the installation files are
  echo and then run %0 again. 
  goto END

:END

